Outpost logoOutpost Docs
API ReferenceCommunications

Get a paginated list of communications

GET
/v1/communications
x-api-key<token>

Project-scoped API key. Keys carry either the ADMIN or TENANT role; a route additionally requires that the key's role is listed in its x-required-roles. Machine-to-machine callers should use this.

In: header

Query Parameters

limit?string
Default"20"
cursor?string
search?string
tenantId?string
projectId?string
campaignId?string
status?string

Value in

  • "active"
  • "completed"
  • "cancelled"
withStats?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/communications"
{  "data": [    {      "communicationId": "string",      "tenantId": "string",      "projectId": "string",      "name": "string",      "campaignId": "string",      "status": "active",      "firstMessageAt": 0,      "lastMessageAt": 0,      "createdAt": 0,      "updatedAt": 0,      "stats": {        "smsCount": 0,        "smsCost": 0,        "smsDeliveredCount": 0,        "smsFailedCount": 0,        "smsBlockedCount": 0      }    }  ],  "cursor": "string",  "hasMore": true}